"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.build = exports.appConfig = void 0;
exports.getArg = getArg;
exports.start = exports.production = exports.prefix = exports.plugin = exports.noSourcemap = void 0;
var _fs = _interopRequireDefault(require("fs"));
var cwd = process.cwd();
var appConfigPath = cwd + "/app.config.js";
var config = {};
if (_fs["default"].existsSync(appConfigPath)) {
  config = require(appConfigPath);
}
var appConfig = config;
exports.appConfig = appConfig;
function getArg(key) {
  var val = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  var index = process.argv.indexOf(key);
  if (process.argv[index] && process.argv[index].indexOf("=") > 0) {
    return process.argv[index].split('=')[1];
  }
  var next = process.argv[index + 1];
  return index < 0 ? null : !next || next[0] === "-" ? val : next;
}
var start = getArg("start") || getArg("--start");
exports.start = start;
var build = getArg("build") || getArg("--build");
exports.build = build;
var plugin = getArg("plugin") || getArg("--plugin");
exports.plugin = plugin;
var production = getArg("production") || getArg("--production");
exports.production = production;
var noSourcemap = process.env.NO_SOURCEMAP || getArg("no-sourcemap") || getArg("--no-sourcemap") || getArg("NO_SOURCEMAP") || '';
exports.noSourcemap = noSourcemap;
var prefix = process.env.PREFIX || getArg("prefix") || getArg("--prefix") || getArg("PREFIX");
exports.prefix = prefix;